{% extends "account/base.html" %}
{% load i18n %}
{% load account socialaccount %}
{% load crispy_forms_tags %}

{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block content %}


<main>
  <div class="container">

    <!--Section: Products v.3-->
    <section class="mb-4">

      <!--Grid row-->
      <div class="row wow fadeIn">

        <div class='col-6 offset-3'>

          <h1>{% trans "Sign In" %}</h1>

          {% get_providers as socialaccount_providers %}

          {% if socialaccount_providers %}
          <p>{% blocktrans with site.name as site_name %}Please sign in with one
            of your existing third party accounts. Or, <a href="{{ signup_url }}">sign up</a>
            for a {{ site_name }} account and sign in below:{% endblocktrans %}</p>

          <div class="socialaccount_ballot">

            <ul class="socialaccount_providers">
              {% include "socialaccount/snippets/provider_list.html" with process="login" %}
            </ul>

            <div class="login-or">{% trans 'or' %}</div>

          </div>

          {% include "socialaccount/snippets/login_extra.html" %}

          {% else %}
          <p>{% blocktrans %}If you have not created an account yet, then please
            <a href="{{ signup_url }}">sign up</a> first.{% endblocktrans %}</p>
          {% endif %}

          <form class="login" method="POST" action="{% url 'account_login' %}">
            {% csrf_token %}
            {{ form|crispy }}
            {% if redirect_field_value %}
            <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
            {% endif %}
            <a class="btn btn-default" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %}</a>
            <button class="btn btn-primary" type="submit">{% trans "Sign In" %}</button>
          </form>
        </div>
      </div>
    </section>
  </div>
</main>

{% endblock %}